summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Dugan Chen <thedoogster@gmail.com>2012-02-20 01:02:17 -0600
committer Robby Workman <rworkman@slackbuilds.org>2012-02-20 12:20:47 -0600
commit650a3eb1055526204b70083d51db8e60c840e49e (patch)
tree449f7993583892d7cfeb2c7e36e370c574aa78e2 /development
parentcb7c8f408d5cf54e3bfc38be2b172726d13397a2 (diff)
downloadslackbuilds-650a3eb1055526204b70083d51db8e60c840e49e.tar.gz
slackbuilds-650a3eb1055526204b70083d51db8e60c840e49e.tar.xz
development/gnome-inform7: Added (fiction authoring platform)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/gnome-inform7/README9
-rw-r--r--development/gnome-inform7/doinst.sh19
-rw-r--r--development/gnome-inform7/gnome-inform7.SlackBuild117
-rw-r--r--development/gnome-inform7/gnome-inform7.info12
-rw-r--r--development/gnome-inform7/slack-desc19
5 files changed, 176 insertions, 0 deletions
diff --git a/development/gnome-inform7/README b/development/gnome-inform7/README
new file mode 100644
index 0000000000..d1100591b0
--- /dev/null
+++ b/development/gnome-inform7/README
@@ -0,0 +1,9 @@
+Inform is a design system for interactive fiction based on natural language.
+It is a radical reinvention of the way interactive fiction is designed, guided
+by contemporary work in semantics and by the practical experience of some of
+the world's best known writers of SF.
+
+This includes both the "gnome-inform7" IDE and the "i7" command-line shell.
+
+This requires libsoup (with libsoup-gnome enabled), gtksourceview, goocanvas,
+and webkit.
diff --git a/development/gnome-inform7/doinst.sh b/development/gnome-inform7/doinst.sh
new file mode 100644
index 0000000000..6bacbd07f6
--- /dev/null
+++ b/development/gnome-inform7/doinst.sh
@@ -0,0 +1,19 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install gnome-inform7.schemas
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/gnome-inform7/gnome-inform7.SlackBuild b/development/gnome-inform7/gnome-inform7.SlackBuild
new file mode 100644
index 0000000000..bbba73c858
--- /dev/null
+++ b/development/gnome-inform7/gnome-inform7.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Slackware build script for gnome-inform
+
+# Written by Dugan Chen (thedoogster@gmail.com)
+
+PRGNAM=gnome-inform7
+VERSION=${VERSION:-6G60}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+# Install the command-line tools first.
+
+rm -rf inform7-$VERSION
+tar xfv $CWD/I7_${VERSION}_Linux_all.tar.gz
+cd inform7-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc
+sh install-inform7.sh -p $PKG/usr
+mv $PKG/usr/share/doc/inform7 $PKG/usr/doc/inform7-$VERSION
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Then install the GUI.
+
+rm -rf $PRGNAM-$VERSION
+tar xfv $CWD/I7_${VERSION}_GNOME_Source.tar.gz
+cp $PKG/usr/share/inform7/Compilers/ni $PRGNAM-$VERSION/src/ni/
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --datarootdir=/usr/share \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make \
+ docdir=/usr/doc/$PRGNAM-$VERSION \
+ inform6docdir=/usr/doc/$PRGNAM-$VERSION/inform6 \
+ frotzdocdir=/usr/doc/$PRGNAM-$VERSION/frotz \
+ glulxedocdir=/usr/doc/$PRGNAM-$VERSION/glulxe \
+ gitdocdir=/usr/doc/$PRGNAM-$VERSION/git
+
+make install \
+ docdir=/usr/doc/$PRGNAM-$VERSION \
+ inform6docdir=/usr/doc/$PRGNAM-$VERSION/inform6 \
+ frotzdocdir=/usr/doc/$PRGNAM-$VERSION/frotz \
+ glulxedocdir=/usr/doc/$PRGNAM-$VERSION/glulxe \
+ gitdocdir=/usr/doc/$PRGNAM-$VERSION/git \
+ DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rmdir $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/gnome-inform7/gnome-inform7.info b/development/gnome-inform7/gnome-inform7.info
new file mode 100644
index 0000000000..d8953b0c32
--- /dev/null
+++ b/development/gnome-inform7/gnome-inform7.info
@@ -0,0 +1,12 @@
+PRGNAM="gnome-inform7"
+VERSION="6G60"
+HOMEPAGE="http://inform7.com"
+DOWNLOAD="http://downloads.sourceforge.net/project/gnome-inform7/gnome-inform7/6G60/I7_6G60_GNOME_Source.tar.gz \
+ http://inform7.com/download/content/6G60/I7_6G60_Linux_all.tar.gz"
+MD5SUM="224c4f75cecb6e0be60f7beea6e786b5 \
+ 375403e827fcb92bc1d7881c89b97168"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dugan Chen"
+EMAIL="thedoogster@gmail.com"
+APPROVED="rworkman"
diff --git a/development/gnome-inform7/slack-desc b/development/gnome-inform7/slack-desc
new file mode 100644
index 0000000000..d556d53d11
--- /dev/null
+++ b/development/gnome-inform7/slack-desc
@@ -0,0 +1,19 @@
+#HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gnome-inform7: gnome-inform7 (interactive fiction authoring platform)
+gnome-inform7:
+gnome-inform7: Inform is a design system for interactive fiction based on natural
+gnome-inform7: language. It is a radical reinvention of the way interactive fiction
+gnome-inform7: is designed, guided by contemporary work in semantics and by the
+gnome-inform7: practical experience of some of the world's best known writers of SF.
+gnome-inform7:
+gnome-inform7: http://inform7.com/
+gnome-inform7:
+gnome-inform7:
+gnome-inform7: